Skip to navigation

GetPhoneNumberReports

View as Markdown

Receives information about the created phone numbers report or list of reports.

Allowed roles: Owner, Admin, Developer, Supervisor, Accountant, Support, Payer, PhoneNumberManager.

Example request: Get all the reports.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

report_idintegerOptional
The phone number report ID to filter
report_typelist of stringsOptional

The phone number report type list separated by semicolons (;). The possible values are: phone_numbers, phone_numbers_awaiting_configuration

created_fromstringOptional

The UTC creation from date filter in 24-h format: YYYY-MM-DD HH:mm:ss

created_tostringOptional

The UTC creation to date filter in 24-h format: YYYY-MM-DD HH:mm:ss

is_completedbooleanOptional
Whether the report is completed
desc_orderbooleanOptionalDefaults to false
Whether to get records in the descent order
countintegerOptionalDefaults to 20
The max returning record count
offsetintegerOptionalDefaults to 0

The first N records are skipped in the output

Response

Successful response
resultlist of objectsOptional
total_countintegerOptional
The total found reports count
countintegerOptional
The returned reports count